<?php
$config->risk->form = new stdclass();

$config->risk->form->create['source']            = array('type' => 'string',   'required' => false, 'default' => '');
$config->risk->form->create['name']              = array('type' => 'string',   'required' => true,  'default' => '');
$config->risk->form->create['execution']         = array('type' => 'int',      'required' => false);
$config->risk->form->create['category']          = array('type' => 'string',   'required' => false);
$config->risk->form->create['strategy']          = array('type' => 'string',   'required' => false);
$config->risk->form->create['impact']            = array('type' => 'int',      'required' => false);
$config->risk->form->create['probability']       = array('type' => 'int',      'required' => false);
$config->risk->form->create['rate']              = array('type' => 'int',      'required' => false, 'default' => '');
$config->risk->form->create['pri']               = array('type' => 'string',   'required' => false, 'default' => '');
$config->risk->form->create['identifiedDate']    = array('type' => 'date',     'required' => false, 'default' => '');
$config->risk->form->create['plannedClosedDate'] = array('type' => 'date',     'required' => false, 'default' => '');
$config->risk->form->create['assignedTo']        = array('type' => 'string',   'required' => false, 'default' => '');
$config->risk->form->create['prevention']        = array('type' => 'string',   'required' => false, 'default' => '', 'control' => 'editor');
$config->risk->form->create['remedy']            = array('type' => 'string',   'required' => false, 'default' => '', 'control' => 'editor');

$config->risk->form->edit = $config->risk->form->create;
$config->risk->form->edit['status']           = array('type' => 'string', 'required' => false, 'default' => 'active');
$config->risk->form->edit['actualClosedDate'] = array('type' => 'date',   'required' => false, 'default' => '');
$config->risk->form->edit['resolvedBy']       = array('type' => 'string', 'required' => false, 'default' => '');
$config->risk->form->edit['resolution']       = array('type' => 'string', 'required' => false, 'default' => '', 'control' => 'editor');

$config->risk->form->close['resolvedBy']        = array('type' => 'string', 'required' => false, 'default' => '');
$config->risk->form->close['actualClosedDate']  = array('type' => 'date',   'required' => false, 'default' => '');
$config->risk->form->close['resolution']        = array('type' => 'string', 'required' => false, 'default' => '', 'control' => 'editor');

$config->risk->form->cancel['cancelBy']     = array('type' => 'string', 'required' => false, 'default' => '');
$config->risk->form->cancel['cancelDate']   = array('type' => 'date',   'required' => false, 'default' => '');
$config->risk->form->cancel['cancelReason'] = array('type' => 'string', 'required' => false, 'default' => '');

$config->risk->form->batchCreate['name']      = array('type' => 'string',   'required' => false,  'default' => '', 'base' => true);
$config->risk->form->batchCreate['execution'] = array('type' => 'int',      'required' => false);
$config->risk->form->batchCreate['source']    = array('type' => 'string',   'required' => false, 'default' => '');
$config->risk->form->batchCreate['category']  = array('type' => 'string',   'required' => false);
$config->risk->form->batchCreate['strategy']  = array('type' => 'string',   'required' => false);
